package bsp

import (
	"context"

	"github.com/jezek/xgbutil"
)

type XWM struct {
	w *WM
	x *xgbutil.XUtil
}

func NewXWM(w *WM, x *xgbutil.XUtil) *XWM {
	xwm := &XWM{
		w: w,
		x: x,
	}
	return xwm
}

func (xwm *XWM) Start(ctx context.Context) error {
	for {
		err := xwm.run(ctx)
		if err != nil {
			return err
		}
	}
}

func (xwm *XWM) run(ctx context.Context) error {
	return nil
}
